Subject: [Dime] draft-bertz-dime-rfc4006bis

From: Yuval Lifshitz <[email-masked]>
Date: Fri, 17 Jun 2016 08:04:07 +0000

Dear group members,
There are some more modification to RFC4006 that we would like to propose (also listed here: https://github.com/lbertz02/rfc4006bis/issues) that probably require further discussion in the group:
(1) Update the IPv6 reference 
(2) Update the 3GPP charging reference (currently point to rel5...). Here we may want to change that to point to a different doc altogether (3GPP TS 32.299), which is more relevant (and didn't exist at the time)
(3) Change the AVP table in page 56-57, by removing the "Encr" and "SHOULD NOT" columns, and the "P" indication (see attached file) - similarly to the change made in RFC6733
(4) Upgrade Restriction-Filter-Rule AVP to also support RFC 5777

Appreciate your feedback!

Yuval

---

From: Jouni Korhonen <[email-masked]>
Date: Fri, 17 Jun 2016 08:39:06 -0700

Thanks for the "RFC4006bis" team for initiating the work. See inline

> (1) Update the IPv6 reference

This is straight forward. Just make sure to reference to RFC4291bis work 
in 6MAN (draft-ietf-6man-rfc4291bis)

> (2) Update the 3GPP charging reference (currently point to rel5...). Here we may want to change that to point to a different doc altogether (3GPP TS 32.299), which is more relevant (and didn't exis…

Here, someone really needs to check that changing the reference (TS and 
release) does not break anything. I would encourage you to come up with 
a short analysis e.g., to Berlin meeting.

> (3) Change the AVP table in page 56-57, by removing the "Encr" and "SHOULD NOT" columns, and the "P" indication (see attached file) - similarly to the change made in RFC6733

This should be straigh forward. To my understanding no implementation 
follows the 'encr' recommendation in practise. Correct?

> (4) Upgrade Restriction-Filter-Rule AVP to also support RFC 5777

Again here some effort needs to be put to analyze backward compatibility 
is maintained if we touch Restriction-Filter-Rule AVP. I would encourage 
you to come up with a short analysis e.g., to Berlin meeting.

Also, I'll add (5) Credit-Control-Answer when 'E' is set. Check that the 
command is aligned with RFC6733 regarding the error replies.

- Jouni

> _______________________________________________
> DiME mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dime
>